Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatacommons.exception
Enum MemberDataBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<MemberDataBusinessConnectorExceptionValues>
          be.ehealth.businessconnector.mycarenet.memberdatacommons.exception.MemberDataBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<MemberDataBusinessConnectorExceptionValues>

    public enum MemberDataBusinessConnectorExceptionValues

extends Enum<MemberDataBusinessConnectorExceptionValues>

Enumeration for possible MemberData Sync business exceptions

Enum Constant Summary
`PARAMETER_NULL`

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static MemberDataBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MemberDataBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARAMETER_NULL

    public static final MemberDataBusinessConnectorExceptionValues PARAMETER_NULL

Method Detail

### values

    public static MemberDataBusinessConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MemberDataBusinessConnectorExceptionValues c : MemberDataBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MemberDataBusinessConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.